Wind River Support Network

HomeDefectsLIN5-23217
Fixed

LIN5-23217 : Security Advisory - grub - CVE-2017-9763

Created: Jun 29, 2017    Updated: May 29, 2018
Resolved Date: Jul 20, 2017
Found In Version: 5.0.1.40
Fix Version: 5.0.1.41
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

The grub_ext2_read_block function in fs/ext2.c in GNU GRUB before 2013-11-12, as used in shlr/grub/fs/ext2.c in radare2 1.5.0, allows remote attackers to cause a denial of service (excessive stack use and application crash) via a crafted binary file, related to use of a variable-size stack array.

https://nvd.nist.gov/vuln/detail/CVE-2017-9763

Other Downloads


Live chat
Online